Show / Hide Table of Contents

# Struct StatusEffect

Native memory representation of a FFXIV status effect.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Structs

###### Assembly: Dalamud.dll

##### Syntax

    public struct StatusEffect

### Fields

| Improve this Doc View Source

#### Duration

##### Declaration

    public float Duration

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### EffectId

##### Declaration

    public short EffectId

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### OwnerId

##### Declaration

    public int OwnerId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Param

##### Declaration

    public byte Param

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### StackCount

##### Declaration

    public byte StackCount

##### Field Value

Type | Description
--- | ---
System.Byte |